MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004930ardourfeaturespublic2012-06-13 16:172017-03-10 07:40
Reporterfarbro 
Assigned ToBenLoftis 
PrioritynormalSeveritytweakReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.XFixed in Version5.X git (version in description) 
Summary0004930: Make bar-lines thicker, or distinguish adjacent bars more obviously
DescriptionIn the editor view, I think it is very hard to distinguish the bars' lines from the beats', especially when you are zoomed in. I'd like the bar line to be thicker, or even better: every second bar should have a brighter or darker background. That would make it very clear.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0013591)
paul (administrator)
2012-06-18 19:04

rev 12776 sees a small change to help with this.

unfortunately the lines are required to all be the same width for the foreseeable future, and alternating the color for each bar would be very, very expensive in graphics costs.

i think the color change is fairly effective for now.
(0014042)
farbro (reporter)
2012-10-09 14:45

Not sure how to give feedback here, as I can't really see a change. Maybe you could make the colour whiter? Now they're gray-ish, aren't they?
(0014044)
paul (administrator)
2012-10-09 15:46

you can experiment with the colors yourself in the Theme Manager window. Look for "measure line bar" and "measure line beat". i'm done playing around with this myself.
(0014049)
farbro (reporter)
2012-10-13 03:12

Oh, that's cool! Hard to find another colour that's good looking though... But they're much more visible now.
(0019519)
BenLoftis (developer)
2017-03-10 07:39

Changed the default 'beat' color to match the Tempo Curve color. This provides better differentiation from the white measure lines, and color-coordination with the bpm curve as well.
(0019520)
BenLoftis (developer)
2017-03-10 07:40

Changed the default 'measure line beat' color to match the Tempo Curve color. This provides better differentiation from the white measure lines, and color-coordination with the bpm curve as well.

- Issue History
Date Modified Username Field Change
2012-06-13 16:17 farbro New Issue
2012-06-13 16:31 cth103 cost => 0.00
2012-06-13 16:31 cth103 Target Version => 3.0
2012-06-14 03:00 cth103 Summary Make bars better visible => Make bar-lines thicker, or distinguish adjacent bars more obviously
2012-06-16 11:28 cth103 Target Version 3.0 => 3.X
2012-06-18 19:04 paul Note Added: 0013591
2012-06-18 19:04 paul Status new => feedback
2012-10-09 14:45 farbro Note Added: 0014042
2012-10-09 15:46 paul Note Added: 0014044
2012-10-13 03:12 farbro Note Added: 0014049
2017-03-10 07:39 BenLoftis Note Added: 0019519
2017-03-10 07:40 BenLoftis Note Added: 0019520
2017-03-10 07:40 BenLoftis Status feedback => closed
2017-03-10 07:40 BenLoftis Assigned To => BenLoftis
2017-03-10 07:40 BenLoftis Resolution open => fixed
2017-03-10 07:40 BenLoftis Fixed in Version => 5.X git (version in description)


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker